Create charge with due date

The Create Charge with Due Date endpoint allows you to create an instant charge with a specific due date. Use this endpoint to generate a charge that has an expiration date and may include additional parameters such as fines, interest, and discounts. The charge will be associated with a transaction ID (TXID) for future reference.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request body example:

{
    "calendario": {
        "dataDeVencimento": "2023-01-30",
        "validadeAposVencimento": 0
    },
    "devedor": {
        "logradouro": "Street name, 123",
        "cidade": "Sao Paulo",
        "uf": "SP",
        "cep": "84061100",
        "cpf": "66876685012",
        "nome": "Jose da Silva",
    },
    "valor": {
        "original": 25.90,
        "multa": {
            "modalidade": "1",
            "valor": 3.00
        },
        "juros": {
            "modalidade": "2",
            "valor": 1.00
        },
        "desconto": {
            "modalidade": "1",
            "data": "2023-01-25",
            "valor": 5.00
        }
    },
    "chave": "f59951f6-6d32-4708-be3f-73453620b227",
    "solicitacaoPagador": "Product or payment short description"
}
Path Params
string
required

Transaction ID

Body Params
calendario
object
required
devedor
object
valor
object
required

Charge amount, fine, interest and discount definitions.

string
required

Pix key

string

Payment description (max 140 chars)

boolean
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json